### Hierarchy

- BlueBaseModuleRegistryInputItem<HookHandlerFn>
  - HookRegistryInputItem

### Indexable

[key: string]: any

Additional Item Data

## Index

### Properties

- event
- preload
- value

## Properties

### event

event: string

- Defined in registries/HookRegistry.ts:67

ID of event to subscribe to

### Optional preload

preload: undefined | false | true

Inherited from BlueBaseModuleRegistryInputItem.preload

- Defined in registries/BlueBaseModuleRegistry.ts:45

Preload this value

### value

value: MaybeBlueBaseModule<HookHandlerFn>

Inherited from BlueBaseModuleRegistryInputItem.value

- Defined in registries/BlueBaseModuleRegistry.ts:40

Registry Item Value.

Generated using TypeDoc